# Class CIM_SCSIProtocolEndpoint
extends CIM_ProtocolEndpoint

A SCSIProtocolEndpoint represents the protocol (command) aspects of a logical SCSI port, independent of the connection/transport. SCSIProtocolEndpoint is either directly or indirectly associated to one or more instances of LogicalPort (via PortImplementsEndpoint) depending on the underlying transport. Indirect associations aggregate one or more LogicalPorts using intermediate ProtocolEndpoints (iSCSI, etc). SCSIProtocolEndpoint is also associated to a SCSIProtocolController, representing the SCSI device.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_ServiceAccessPoint
|
+--CIM_ProtocolEndpoint
|
+--CIM_SCSIProtocolEndpoint

## Direct Known Subclasses

CIM_iSCSIProtocolEndpoint

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

A SCSIProtocolEndpoint represents the protocol (command) aspects of a logical SCSI port, independent of the connection/transport. SCSIProtocolEndpoint is either directly or indirectly associated to one or more instances of LogicalPort (via PortImplementsEndpoint) depending on the underlying transport. Indirect associations aggregate one or more LogicalPorts using intermediate ProtocolEndpoints (iSCSI, etc). SCSIProtocolEndpoint is also associated to a SCSIProtocolController, representing the SCSI device.

UMLPackagePath | string | CIM::Network::ProtocolEndpoints
Version | string | 2.11.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
ConnectionType | uint16 |
Description | string | The supported connection type for this endpoint. The connection type may be needed before the port(s) are associated and also is used in some SCSI commands.
MappingStrings | string | SPC.INCITS-T10 | Protocol Identifier | Values
ModelCorrespondence | string | CIM_SCSIProtocolEndpoint.Name, CIM_SCSIProtocolEndpoint.OtherConnectionType
ValueMap | string | 1, 2, 3, 4, 5, 6, 7, 8, 9
Values | string | Other, Fibre Channel, Parallel SCSI, SSA, IEEE 1394, RDMA, iSCSI, SAS, ADT
Name | string |
Description | string | The SCSI identifier for the target or initiator device, in the format appropriate for the ConnectionType. If a ConnectionType specific subclass is defined, the subclass may override Name to define the format. For other ConnectionTypes, the format (and content) should match that of PermamnentAddress of the corresponding LogicalPort.
Key | boolean | true
MappingStrings | string | SPC.INCITS-T10 |Protocol Specific Parameters | Name
MaxLen | uint32 | 256
ModelCorrespondence | string | CIM_SCSIProtocolEndpoint.ConnectionType, CIM_SCSIProtocolEndpoint.OtherConnectionType
Override | string | Name
OtherConnectionType | string |
Description | string | The connection type, if ConnectionType is "Other".
ModelCorrespondence | string | CIM_SCSIProtocolEndpoint.Name, CIM_SCSIProtocolEndpoint.ConnectionType
Role | uint16 |
Description | string | For iSCSI, each SCSIProtocolEndpoint MUST act as either a target or an initiator endpoint. Other transports allow a SCSI PE to act as both an initiator and target endpoint. This property indicates which role this ProtocolEndpoint implements.
ValueMap | string | 0, 2, 3, 4
Values | string | Unknown, Initiator, Target, Both Initiator and Target
TargetRelativePortNumber | uint32 |
Description | string | For ports on a target device, the port number, relative to the storage system. 0 is reserved by T10, 1 is port A, 2 is port B, etc. These numbers are used in SCSI commands that operate on target port groups.
MappingStrings | string | SPC.INCITS-T10 | RelativeTargetPort | IdentifierFormat
MinValue | sint64 | 1

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_ServiceAccessPoint
Description | string | CIM_ProtocolEndpoint
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_ProtocolEndpoint
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
NameFormat | string | CIM_ProtocolEndpoint
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
OtherTypeDescription | string | CIM_ProtocolEndpoint
PrimaryStatus | uint16 | CIM_ManagedSystemElement
ProtocolIFType | uint16 | CIM_ProtocolEndpoint
ProtocolType | uint16 | CIM_ProtocolEndpoint
RequestedState | uint16 | CIM_EnabledLogicalElement
Status | string | CIM_ManagedSystemElement
SystemCreationClassName | string | CIM_ServiceAccessPoint
SystemName | string | CIM_ServiceAccessPoint
TimeOfLastStateChange | datetime | CIM_ProtocolEndpoint
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
OperationalStatus | uint16[] | CIM_ProtocolEndpoint
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement